This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 804871 - RFE: As a translator, I want to view the history of translations for a message, with differences highlighted
RFE: As a translator, I want to view the history of translations for a messag...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
: UserStory
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 23:05 EDT by Sean Flanigan
Modified: 2012-11-07 01:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121012-0031)
Doc Type: Enhancement
Doc Text:
Feature: Show translation history and being able to compare them. Reason: As a translator, I want to view the history of translations for a message, with differences highlighted Result (if any): Translation history is now accessible by users.
Story Points: 5
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-03-19 23:05:41 EDT
As a translator, I want to view the history of translations for a message, with differences highlighted
Comment 1 Patrick Huang 2012-08-10 01:02:40 EDT
committed in master:
https://github.com/zanata/zanata/commit/852fcd120f0818789554c3bbdfcc43eef5812602
Comment 2 Ding-Yi Chen 2012-09-03 20:48:47 EDT
Tested with Zanata version 1.8.0-SNAPSHOT (20120904-0014)

Although the status is also restored after you leave the cell, however, it will be better that the status is restored straight after  restored from history.


Step to repoduce:
1. Visit any document and click on any row.
2. Type "Fuzzy" and saved as fuzzy.
3. Type "Approve" and saved as approved.
4. Click history.
5. Copy Fuzzy

Actual:
Message "Fuzzy" is shown as approved.


Expected:
Message "Fuzzy" is shown as fuzzy.


Reassigned.
Comment 3 Patrick Huang 2012-10-10 01:58:27 EDT
As discussed translation history entries will only be "copy and paste into editor" as text. It will not restore status. It's up to user to decide what status they want it finally be.
Comment 4 Ding-Yi Chen 2012-10-14 23:45:22 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121012-0031)
Comment 5 Sean Flanigan 2012-11-07 01:19:25 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.